{% load comments i18n %}
{% get_comment_form for discussion as form %}
  <form action="{% comment_form_target %}" method="post">
    {% csrf_token %}
     {% if next %}
<div><input type="hidden" name="next" value="/books"/></div>{% endif %}
    {% for field in form %}
    {% if field.is_hidden %}
      <div>{{ field }}</div>
    {% else %}
{% if field.errors %}{{ field.errors }}{% endif %}
    {% ifequal field.name "name" %}
        <input id="id_name" type="hidden" name="name" value="{{ user.username }}" />
{% else %}{% ifequal field.name "url" %}
        <input id="id_name" type="hidden" name="name" value="{{ user.username }}" />

    {% else %}{% ifequal field.name "email" %}
        <input type="hidden" name="email" value="abc@abc.com" id="id_email" />
    
      <p
              {% if field.errors %} class="error"{% endif %}
{% else %}{% ifequal field.name "honeypot" %}  
     </p >
     {% else %}{{ field.label_tag }} {{ field }}{% endifequal %}{% endifequal %}{% endifequal %}{% endifequal %} {% endif %}
    {% endfor %}    
        <input type="submit" name="submit" value="Post">
  </form>
